# EXPAND 3 CREATED BY Mr_Moose #
# THIS FUNCTION WAS CREATED BY Mr_Moose #
# 7/1/21 #



#KILL#
kill @e[type=item,nbt={Item:{id:"minecraft:item_frame"}}]
kill @e[type=arrow,nbt={inGround:1b}]
kill @e[tag=!player,tag=kill]
kill @e[type=experience_orb]

#CRYSTAL BOSSBAR MIRROR#
execute in the_end at @e[type=armor_stand,tag=finalRange] if entity @a[tag=player1,distance=..20] run bossbar set minecraft:crystals visible true
execute in the_end at @e[type=armor_stand,tag=finalRange] unless entity @a[tag=player1,distance=..20] run bossbar set minecraft:crystals visible false
execute unless entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal"}]}] run bossbar set crystals value 0
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:1b}]}] run bossbar set crystals value 1
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:2b}]}] run bossbar set crystals value 2
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:3b}]}] run bossbar set crystals value 3
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:4b}]}] run bossbar set crystals value 4
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:5b}]}] run bossbar set crystals value 5
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:6b}]}] run bossbar set crystals value 6
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:7b}]}] run bossbar set crystals value 7
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:8b}]}] run bossbar set crystals value 8
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:9b}]}] run bossbar set crystals value 9
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:10b}]}] run bossbar set crystals value 10
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:11b}]}] run bossbar set crystals value 11
execute if entity @a[tag=player1,nbt={Inventory:[{id:"minecraft:end_crystal",Count:12b}]}] run bossbar set crystals value 12

#TEAMS#
team join player @a
team join player @e[type=enderman,tag=enderman]
team join color @e[type=enderman,tag=enderman]
team modify player collisionRule never
team modify color color dark_purple

#EFFECTS#
execute as @a if entity @s[nbt={SelectedItem:{id:"minecraft:carrot"}}] run effect clear @a saturation
execute as @a unless entity @s[nbt={SelectedItem:{id:"minecraft:carrot"}}] run effect give @s saturation 99999 100 true
effect give @a resistance 99999 100 true
execute as @a at @s if block ~ ~-2 ~ bricks run tp @s 8.5 23.01 8.5
execute as @a at @s if block ~ ~-1 ~ white_shulker_box run effect give @s minecraft:levitation 1 14 true
execute as @a at @s if block ~ ~ ~ water run effect give @s water_breathing 99999 100 true
execute as @a at @s unless block ~ ~ ~ water run effect clear @s water_breathing

#GAMERULES#
gamerule doTileDrops false
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule keepInventory true
gamerule announceAdvancements false
gamerule commandBlockOutput false
gamerule doFireTick false
gamerule doMobSpawning false
gamerule mobGriefing false
gamerule fallDamage false
gamerule fireDamage false
gamerule drowningDamage false
gamerule doImmediateRespawn true
gamerule spawnRadius 1

#BUGS#
scoreboard objectives add bug trigger
scoreboard players enable @a bug
tellraw @a[scores={bug=1..}] {"text":"If you found a bug, click this message to submit it. Thank you.","color":"dark_aqua","bold":true,"clickEvent":{"action":"open_url","value":"https://mr-moose-minecraft.weebly.com/bug-tracker.html"}}
scoreboard players set @a[scores={bug=1..}] bug 0

#MISC#
spawnpoint @a 8 23 8
execute unless entity @e[type=player,tag=player1,limit=1] run tag @r add player1
clear @a[gamemode=adventure,tag=!admin] barrier
execute if entity @a[gamemode=adventure] as @e[type=item,nbt={Age:590s}] run data merge entity @s {Age:0s}
gamemode adventure @a[tag=!admin,gamemode=survival]
recipe give @a *
execute at @a[tag=signExpand] run playsound block.note_block.pling master @a ~ ~ ~ 10 1
tellraw @a[tag=signExpand] ["",{"text":"Click ","color":"dark_green"},{"text":"here","bold":true,"underlined":true,"color":"dark_green","clickEvent":{"action":"open_url","value":"https://mr-moose-minecraft.weebly.com/exapnd.html"}},{"text":" to check out Expand 1!","color":"dark_green"},{"text":"\n"},{"text":"Click ","color":"red"},{"text":"here","bold":true,"underlined":true,"color":"red","clickEvent":{"action":"open_url","value":"https://mr-moose-minecraft.weebly.com/expand-2.html"}},{"text":" to check out Expand 2!","color":"red"}]
execute as @e[type=item,nbt={OnGround:1b}] at @s if block ~ ~-3 ~ bricks run data merge entity @s {PickupDelay:0s}
execute as @e[type=item,nbt={OnGround:1b}] at @s if block ~ ~-3 ~ bricks run tp @s @e[type=player,limit=1,sort=nearest]